# H245_UserInputCapability Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_basicString, e_iA5String, e_generalString, e_dtmf, e_hookflash, e_extendedAlphanumeric, e_encryptedBasicString, e_encryptedIA5String, e_encryptedGeneralString, e_secureDTMF, e_genericUserInputCapability }

## Public Member Functions

| H245_UserInputCapability (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_ArrayOf_NonStandardParameter & ()
| operator const H245_ArrayOf_NonStandardParameter & () const
| operator H245_GenericCapability & ()
| operator const H245_GenericCapability & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_UserInputCapability::Choices

Enumerator:

  e_nonStandard |
  e_basicString |
  e_iA5String |
  e_generalString |
  e_dtmf |
  e_hookflash |
  e_extendedAlphanumeric |
  e_encryptedBasicString |
  e_encryptedIA5String |
  e_encryptedGeneralString |
  e_secureDTMF |
  e_genericUserInputCapability |

## Constructor & Destructor Documentation

H245_UserInputCapability::H245_UserInputCapability | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_UserInputCapability::operator H245_ArrayOf_NonStandardParameter & | ( |  | ) |

H245_UserInputCapability::operator const H245_ArrayOf_NonStandardParameter & | ( |  | ) | const

H245_UserInputCapability::operator H245_GenericCapability & | ( |  | ) |

H245_UserInputCapability::operator const H245_GenericCapability & | ( |  | ) | const

PBoolean H245_UserInputCapability::CreateObject | ( |  | ) |

PObject* H245_UserInputCapability::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h